path: /build/build/libc-virtual-1+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/libc && luet-portage --dir
    /pkgdir/libc virtual/libc
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:a3828c2b5f35136e1cd6605614d94af066f29992afd93f73976d8e09976186b9
  package:
    name: libc
    version: 1+2
    category: virtual
    use_flags:
    - -elibc_Cygwin
    - -elibc_FreeBSD
    - -elibc_musl
    - -elibc_uclibc
    - elibc_glibc
    - prefix-guest
    requires:
    - name: mark-base
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Virtual for the C library
    uri:
    - ""
    buildtimestamp: 2025-02-01 17:41:38.92759276 +0000 UTC m=+31.736392921
    labels:
      RDEPEND: '!prefix-guest? ( elibc_glibc? ( sys-libs/glibc:2.2 ) elibc_musl? (
        sys-libs/musl ) elibc_uclibc? ( || ( sys-libs/uclibc-ng sys-libs/uclibc )
        ) elibc_FreeBSD? ( sys-freebsd/freebsd-lib ) ) prefix-guest? ( elibc_Cygwin?
        ( sys-libs/cygwin-crypt ) !sys-libs/glibc !sys-libs/musl !sys-libs/uclibc-ng
        !sys-libs/uclibc !sys-freebsd/freebsd-lib )'
      emerge.packages: virtual/libc
      kit: core-kit
      original.package.name: virtual/libc
      original.package.slot: "0"
      original.package.version: "1"
    treedir: /build/packages
  package_dir: /pkgdir/libc
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 2ca830ccb9d0ee51b05def2255b161006c24fba5e266faa30b17499e64a50b39
compressiontype: zstd
files:
- var/db/pkg/virtual/libc-1/BUILD_TIME
- var/db/pkg/virtual/libc-1/CATEGORY
- var/db/pkg/virtual/libc-1/CBUILD
- var/db/pkg/virtual/libc-1/CFLAGS
- var/db/pkg/virtual/libc-1/CHOST
- var/db/pkg/virtual/libc-1/COUNTER
- var/db/pkg/virtual/libc-1/CTARGET
- var/db/pkg/virtual/libc-1/CXX
- var/db/pkg/virtual/libc-1/CXXFLAGS
- var/db/pkg/virtual/libc-1/DEFINED_PHASES
- var/db/pkg/virtual/libc-1/DESCRIPTION
- var/db/pkg/virtual/libc-1/EAPI
- var/db/pkg/virtual/libc-1/FEATURES
- var/db/pkg/virtual/libc-1/IUSE
- var/db/pkg/virtual/libc-1/IUSE_EFFECTIVE
- var/db/pkg/virtual/libc-1/KEYWORDS
- var/db/pkg/virtual/libc-1/LDFLAGS
- var/db/pkg/virtual/libc-1/LICENSE
- var/db/pkg/virtual/libc-1/PF
- var/db/pkg/virtual/libc-1/RDEPEND
- var/db/pkg/virtual/libc-1/SIZE
- var/db/pkg/virtual/libc-1/SLOT
- var/db/pkg/virtual/libc-1/USE
- var/db/pkg/virtual/libc-1/environment.bz2
- var/db/pkg/virtual/libc-1/libc-1.ebuild
- var/db/pkg/virtual/libc-1/repository
package_cacheimage: ""
runtime:
  name: libc
  version: 1+2
  category: virtual
  use_flags:
  - -elibc_Cygwin
  - -elibc_FreeBSD
  - -elibc_musl
  - -elibc_uclibc
  - elibc_glibc
  - prefix-guest
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Virtual for the C library
  uri:
  - ""
  labels:
    RDEPEND: '!prefix-guest? ( elibc_glibc? ( sys-libs/glibc:2.2 ) elibc_musl? ( sys-libs/musl
      ) elibc_uclibc? ( || ( sys-libs/uclibc-ng sys-libs/uclibc ) ) elibc_FreeBSD?
      ( sys-freebsd/freebsd-lib ) ) prefix-guest? ( elibc_Cygwin? ( sys-libs/cygwin-crypt
      ) !sys-libs/glibc !sys-libs/musl !sys-libs/uclibc-ng !sys-libs/uclibc !sys-freebsd/freebsd-lib
      )'
    emerge.packages: virtual/libc
    kit: core-kit
    original.package.name: virtual/libc
    original.package.slot: "0"
    original.package.version: "1"
